<?php
#############################################################
# Project:      bCounter                                    #
# File:         details_browsers_all.php                    #
# Decription:   statistics of browsers
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $strTitle .= ' | Details | Alle Browser';

    $strDivBody .= '<h2>Diagramm</h2>';
    $strDivBody .= '<div class="table">';
    $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "browsers_all" ).'" width="800" height="300" alt="Alle Browser" />';
    $strDivBody .= '</div>';

    $strDivBody .= '<h2>Charts</h2>';
    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='human' AND browser!='unknown'";
    $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
    $strSQLstring = "SELECT *, count(browser) AS anzahl
                     FROM ".$bCounter_dbPrefix."visits
                     WHERE type='human' AND browser!='unknown'
                     GROUP BY browser
                     ORDER BY anzahl DESC, browser ASC";
    $SQLresult_all = $bCounterDB->query($strSQLstring);

    $strDivBody .= '<table>'."\n";
    $strDivBody .= '<tr><th>#</th><th>Browser</th><th>Anzahl</th><th>Anteil</th></tr>'."\n";
    for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
        $strBrowser  = mysql_result($SQLresult_all, $i, "browser");
        $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
        $strDivBody .= '<td><img src="./img/browser/'.getBrowserString_img($strBrowser).'.png" width="14" height="14" alt="'.getBrowserString($strBrowser, "").'" />&nbsp;<a href="./?load=show_browser&amp;browser='.$strBrowser.'" class="intern">'.getBrowserString($strBrowser, "").'</a></td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '<tr>'."\n";
    $strDivBody .= '<td></td>'."\n";
    $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
    $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
    $strDivBody .= '<td class="right"></td>'."\n";
    $strDivBody .= '</tr>'."\n";

# Uneindeutige Kennungen anzeigen, falls vorhanden
    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='human' AND browser='unknown'";
    $SQLresult = $bCounterDB->query($strSQLstring);
    if ( @mysql_result( $SQLresult, 0, 0 ) > 0 ) {
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td></td>'."\n";
        $strDivBody .= '<td class="right"><a href="?load=visits_undetermined">Uneindeutig</a></td>'."\n";
        $strDivBody .= '<td class="right">'.zahl( mysql_result($SQLresult, 0, 0) ).'</td>'."\n";
        $strDivBody .= '<td class="right"></td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '</table>'."\n";
?>